Historical Add / Remove Liquidity

This API is used to retrieve all historical add/remove liquidity data for a specific trading pair

FreePlusProEnterpriseCredit Usage
10

Response data

{
  "err": false, // Error or not
  "res": [
    {
      "id": "6850c30a54da0479435b6bc8", // This transaction's ID
      "slot": 347286159, // Block number in which the trade occurred
      "blockTime": 1750123273, // Block time
      "txHash": "wDNpGaBFJDXMqbCmXvqbtAQmmZDQtShBrrxfiG3cefz1LvoRNMmx7n1HaREVBLbApcvNadVTeVHnFk85GSTghhz", // Transaction hash
      "dex": "pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA", // Dex contract address where the transaction occurred
      "pair": "6GfF6Q2pJMhitms6cqhmHVMio7fd2TBXt4s3RjCnaHKf", // Trading pair address
      "account": "4NWUKn2tm6k8kPC9izrfE3Mryrvu4QyAawy1JGG8j481", // Wallet address that made the trade (maker)
      "tradeType": "buy", // Transaction type, including “buy/ sell / addLiq / removeLiq”
      "token": "6qAa6x3YitxLyDmGrRcaNdxt63LFMzT9U8x9VaF4PUMP", // Token address
      "solAmount": 463.76640154, // SOL amount in this transaction
      "quantity": 751561342.164468, // Token amount in this transaction
      "dexName": "pump swap program" // Dex name where the transaction occurred
    }
  ]
}

Response data visualization reference


Query Params
string
Defaults to solana

Chain (solana / bsc)

string
required

Trading pair contract address

tradeType
array of strings
required

Trade type filter, values include "addLiq / removeLiq", example: ["addLiq", "removeLiq"]

tradeType*
string
Defaults to dev

Category filter, only view trades from certain types of addresses, values include "dev / sniper / follow"

string

Address filter, only view trades from this address (maker)

string

Pagination parameter, parameter value is transaction id, returns 20 records before this transaction

Response

Language
LoadingLoading…
Response
Choose an example:
application/json